summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorRoland Hieber <rhi@pengutronix.de>2019-11-14 17:01:14 +0100
committerMichael Olbrich <m.olbrich@pengutronix.de>2019-11-17 11:31:45 +0100
commit643b47241701747f786dc03f010cb5ce8e7881b8 (patch)
tree345926bdac0b86844387e362a6b523ab06cf20b8 /bin
parent7b7a0a6d39e08806611f86e197c2a2457725d963 (diff)
downloadptxdist-643b47241701747f786dc03f010cb5ce8e7881b8.tar.gz
ptxdist-643b47241701747f786dc03f010cb5ce8e7881b8.tar.xz
ptxdist: _get_config_ptx: fix --force logic
When --force is used to override that message, PTXDIST_FORCE is set to true in parse_first(), resulting in the message to be shown. Signed-off-by: Roland Hieber <rhi@pengutronix.de> Signed-off-by: Michael Olbrich <m.olbrich@pengutronix.de>
Diffstat (limited to 'bin')
-rwxr-xr-xbin/ptxdist2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/ptxdist b/bin/ptxdist
index 9394b1739..cd673a9f3 100755
--- a/bin/ptxdist
+++ b/bin/ptxdist
@@ -250,7 +250,7 @@ _get_config_ptx() {
configfile_version="$(ptxd_get_ptxconf PTXCONF_CONFIGFILE_VERSION)"
- if [ $? -ne 0 -a -n "${PTXDIST_FORCE}" ]; then
+ if [ $? -ne 0 -a -z "${PTXDIST_FORCE}" ]; then
ptxd_dialog_msgbox \
"error: the config file '${PTXDIST_PTXCONFIG#${PTXDIST_WORKSPACE}/}'\n" \
" is missing the symbol 'PTXCONF_CONFIGFILE_VERSION',\n" \